Loading...
Searching...
No Matches
RDKit::MolStandardize::ValidationMethod Class Referenceabstract

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::ValidationMethod:

## Public Member Functions

| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default
virtual std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const =0

## Detailed Description

The ValidationMethod class is the abstract base class upon which all the four different ValidationMethods inherit from.

Definition at line 52 of file Validate.h.

## Constructor & Destructor Documentation

## ValidationMethod()

RDKit::MolStandardize::ValidationMethod::ValidationMethod | ( |  | ) |

default

## ~ValidationMethod()

virtual RDKit::MolStandardize::ValidationMethod::~ValidationMethod | ( |  | ) |

virtual default

## Member Function Documentation

## validate()

virtual std::vector< ValidationErrorInfo > RDKit::MolStandardize::ValidationMethod::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

pure virtual

Implemented in RDKit::MolStandardize::RDKitValidation, RDKit::MolStandardize::MolVSValidation, RDKit::MolStandardize::AllowedAtomsValidation, and RDKit::MolStandardize::DisallowedAtomsValidation.

The documentation for this class was generated from the following file:

- Validate.h